# coding=utf-8
from unittest import TestCase

from earthdiagnostics.ocean.mixedlayersaltcontent import MixedLayerSaltContent
from mock import Mock


class TestMixedLayerSaltContent(TestCase):

    def setUp(self):
        self.data_manager = Mock()

        self.diags = Mock()
        self.diags.model_version = 'model_version'
        self.diags.config.experiment.get_chunk_list.return_value = (('20010101', 0, 0), ('20010101', 0, 1))

        self.mixed = MixedLayerSaltContent(self.data_manager, '20000101', 1, 1)

    def test_generate_jobs(self):
        jobs = MixedLayerSaltContent.generate_jobs(self.diags, ['psi'])
        self.assertEqual(len(jobs), 2)
        self.assertEqual(jobs[0], MixedLayerSaltContent(self.data_manager, '20010101', 0, 0))
        self.assertEqual(jobs[1], MixedLayerSaltContent(self.data_manager, '20010101', 0, 1))

        with self.assertRaises(Exception):
            MixedLayerSaltContent.generate_jobs(self.diags, ['psi', '0', '0', '0', '0', '0', '0', '0'])

    def test_str(self):
        self.assertEquals(str(self.mixed), 'Mixed layer salt content Startdate: 20000101 Member: 1 Chunk: 1')
